local sItemId = {}
_G["sItemId"] = sItemId


local mainGameTooltip				= GameTooltip;
local mainGTSetHyperLink			= mainGameTooltip["SetHyperLink"];
local mainGTSetBagItem				= mainGameTooltip["SetBagItem"];
local mainGTSetBankItem				= mainGameTooltip["SetBankItem"];
local mainGTSetAuctionBrowseItem	= mainGameTooltip["SetAuctionBrowseItem"];
local mainGTSetBootyItem			= mainGameTooltip["SetBootyItem"];

local mainGameTooltipHyperLink		= GameTooltipHyperLink;
local mainGTHSetHyperLink			= mainGameTooltipHyperLink["SetHyperLink"];


function sItemId:ExtendedTooltip( tooltip, itemlink )
	if ( itemlink == nil ) then return; end;
	
	if ( itemlink ~= nil ) then
		local _type, _data, _name = ParseHyperlink( itemlink );
		local _, _, _id = string.find( _data, "^(%x+)");
		tooltip:AddLine("ItemId: " .. string.format( '%d', '0x' .. _id ) );
	end;
end;


function GameTooltip:SetBankItem( BankId )
	mainGTSetBankItem( mainGameTooltip, BankId );
	sItemId:ExtendedTooltip( mainGameTooltip, GetBankItemLink( BankId ) );
end;

function GameTooltip:SetBagItem( BagId )
	mainGTSetBagItem( mainGameTooltip, BagId );
	sItemId:ExtendedTooltip( mainGameTooltip, GetBagItemLink( BagId ) );
end;

function GameTooltip:SetHyperLink( itemLink )
	mainGTSetHyperLink( mainGameTooltip, itemLink );
	sItemId:ExtendedTooltip( mainGameTooltip, itemLink );
end;

function GameTooltip:SetAuctionBrowseItem(id)
	mainGTSetAuctionBrowseItem( mainGameTooltip, id);
	sItemId:ExtendedTooltip( mainGameTooltip, GetAuctionBrowseItemLink(id) );
end;

function GameTooltip:SetBootyItem(id)
	mainGTSetBootyItem( mainGameTooltip, id);
	sItemId:ExtendedTooltip( mainGameTooltip, GetBootyItemLink(id) );
end;

function GameTooltipHyperLink:SetHyperLink( itemLink )
	mainGTHSetHyperLink( mainGameTooltipHyperLink, itemLink )
	sItemId:ExtendedTooltip( mainGameTooltipHyperLink, itemLink );
end;